<?
define('PROTECTOR', 1);

$headmod = 'vip';//фикс. места

$textl='Покупка VIP-статуса';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');



switch($_GET[mod]){

default:

echo' <div class=m_bg>Покупка VIP-статуса</div><div class=m_bg>';
if($udata[vip] != 1){
echo' Особенности VIP :</br>
<ul><li>Отсутствие какой-либо рекламы на сайте</li>
<li>Выбор цвета ника</li>
<li>Загрузка уникального аватара на сайт бесплатно</li></ul> И многое другое (в активной разработке)';
echo'<br/><b><a href=vip.php?mod=vip>Стать VIP</a></b>';}
else { echo"Вы имеете VIP - статус ";
echo'<br/><a href=vip.php?mod=nick_chat>Цвет ника</a><br/>';
echo'<a href=ava.php>Аватар</a>';}
echo'</div>';
break;


case 'vip':
echo' Внимание, это платная услуга. Стоимость единоразово: <b>100 алмазов</b><br/>';
echo'<a href=vip.php?mod=ok>Продолжить</a>';
break;

case 'ok':
if($udata[vip] == 0 and $udata[almaz] >= 100) {
$almaz = $udata[almaz] - 100;
mysql_query("UPDATE `users` SET `vip` = '1',`almaz` = '$almaz'  WHERE `usr`='$log'");
echo"Вы успешно приобрели статус VIP";
echo '<br /> <a href=vip.php>Назад</a>';}
else { echo'У Вас не хватает алмазов либо Вы уже VIP'; echo '<br /> <a href=vip.php>Назад</a>'; }
break;

case 'nick_chat':
if(empty($_POST[sb])){
echo "<form action='vip.php?mod=nick_chat' method='POST'>";
echo"<div class='m_bg'>Цвет ника:</div>";
echo'<div class="m_bg"><input type="radio" name="sb" value=" " CHECKED /> Стандартный цвет<br />
<input type="radio" name="sb" value="red" /> Красный<br />
<input type="radio" name="sb" value="blue" /> Синий<br />
<input type="radio" name="sb" value="yellow" /> Желтый<br />
<input type="radio" name="sb" value="grey" /> Серый<br />
<input type="radio" name="sb" value="green" /> Зеленый<br />
<input type="radio" name="sb" value="orange" /> Оранжевый<br />
<input type="radio" name="sb" value="white" /> Белый<br />
<input type="submit" value="Оk" /></form></div>';

}
else{
$sb = $_POST[sb];
mysql_query("UPDATE `users` SET `font` =  '$sb' WHERE `usr` = '$log' ");
echo'Цвет ника успешно изменен<br/>';
echo"<a href='vip.php'>Назад</a>";
}

break;


}

include($path.'files/down.php');
?>